> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get ReservationAttachment entities that are voucher terms for the given reservation.

- Product: Reservation attachment
- Section: ReservationAttachment
- Snapshot: Current
- Method: `GET`
- Path: `/api/reservation_attachment/voucher_terms`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

### `reservation`

Type: `number`  
Required: yes  

### `token`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservationAttachment.voucherTerms({
  organization: 0,
  reservation: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/reservation_attachment/voucher_terms" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "reservation=$RESERVATION" \
    --url-query "token=$TOKEN"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "locale": "locale",
    "name": "name",
    "filename": "filename",
    "url": "url",
    "type": "type"
  }
]
```

##### Schema

###### ReservationAttachment[]

Type: `ReservationAttachment[]`  

###### ReservationAttachment

Type: `ReservationAttachment`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: no  

###### `filename`

Type: `string`  
Required: no  

###### `url`

Type: `string`  
Required: no  

###### `type`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservation-attachment/methods/voucher-terms/)
- [TypeScript Markdown](/reservation-attachment/methods/voucher-terms.md?lang=typescript)
- [curl Markdown](/reservation-attachment/methods/voucher-terms.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservation-attachment/llms.txt)
- [snapshot llms.txt](/reservation-attachment/llms.txt)
